*{
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    text-decoration: none;
}

body{
 
    background-image: url(../imagen/localugel.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    padding: 10,10,10,10;
    
      /* font-family: sans-serif;/*nuevo*
    margin: 0;/*nuevo*/
    /*para centrar*/
    /*background: blue;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;*/
}/*
.form-register{
    width: 95%;
    max-width: 500px;
    background: white;
    padding: 20px;
}
.form__title{
    margin-top: 0;
    margin-bottom: 15px;    
    font-size: 1.7em;
    text-align: center;
}
.form__label, .form__input {
    display: block;
}/* font-size: 1em;*
}
.form__file{
    font-size: 1em;
    margin: 10px;
    width: 100%;
}
.container--flex{
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
    align-items: center;
}
.form__submit{
    background: #3E2E6F;
    border: none;
    border-radius: 8px;
    color: white;
    cursor: pointer;   
    font-size: 1em;
    margin-top: 10px;  
    padding: 10px; 
    width: 100%;
}
.regresar a{
    background: #3E2E6F;
    border: none;
    border-radius: 8px;
    color: white;
    display: flex;
    font-size: 1em;
    justify-content: center;
    margin: 20px; 
    padding: 10px;  
    width: 92%;
}*/

main{
    width: 100%;
    padding: 20px;
    margin: auto;
    margin-top: 100px;
}

.contenedor__todo{
    width: 100%;
    max-width: 800px;
    margin: auto;
    position: relative;
}

.caja__trasera{
    width: 100%;
    padding: 10px 20px;
    display: flex;
    justify-content: center0
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    background-color: rgba(0, 128, 255, 1.5);

}

.caja__trasera div{
    margin: 100px 40px;
    color: white;
    transition: all 500ms;
}


.caja__trasera div p,
.caja__trasera button{
    margin-top: 30px;
}

.caja__trasera div h3{
    font-weight: 400;
    font-size: 26px;
}

.caja__trasera div p{
    font-size: 16px;
    font-weight: 300;
}

.caja__trasera button{
    padding: 10px 40px;
    border: 2px solid #fff;
    font-size: 14px;
    background: transparent;
    font-weight: 600;
    cursor: pointer;
    color: white;
    outline: none;
    transition: all 300ms;
}

.caja__trasera button:hover{
    background: #fff;
    color: #46A2FD;
}

/*Formularios*/

.contenedor__login-register{
    display: flex;
    align-items: center;
    width: 100%;
    max-width: 380px;
    position: relative;
    top: -185px;
    left: 10px;

    /*La transicion va despues del codigo JS*/
    transition: left 500ms cubic-bezier(0.175, 0.885, 0.320, 1.275);
}

.contenedor__login-register form{
    width: 100%;
    padding: 80px 20px;
    background: white;
    position: absolute;
    border-radius: 20px;
}

.contenedor__login-register form h2{
    font-size: 30px;
    text-align: center;
    margin-bottom: 20px;
    color: #46A2FD;
}

.contenedor__login-register form input{
    width: 100%;
    margin-top: 20px;
    padding: 10px;
    border: none;
    background: #F2F2F2;
    font-size: 16px;
    outline: none;
}

.contenedor__login-register form button{
    padding: 10px 40px;
    margin-top: 40px;
    border: none;
    font-size: 14px;
    background: #46A2FD;
    font-weight: 600;
    cursor: pointer;
    color: white;
    outline: none;
}




.formulario__login{
    opacity: 1;
    display: block;
}
.formulario__register{
    display: none;
}

@media screen and (max-width: 850px){

    main{
        margin-top: 50px;
    }

    .caja__trasera{
        max-width: 350px;
        height: 300px;
        flex-direction: column;
        margin: auto;
    }

    .caja__trasera div{
        margin: 0px;
        position: absolute;
    }

    /*Formularios*/

    .contenedor__login-register{
        top: -10px;
        left: -5px;
        margin: auto;
    }

    .contenedor__login-register form{
        position: relative;
    }
}